unit UUCODE32;
interface

procedure filecopy(Const InFile,OutFile: ShortString); stdcall;
procedure uuencode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
procedure uudecode(Const InFile: ShortString; Unix: Boolean); stdcall;
procedure xxencode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
procedure xxdecode(Const InFile: ShortString; Unix: Boolean); stdcall;
procedure base64encode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean); stdcall;
procedure base64decode(Const InFile: ShortString; Unix: Boolean); stdcall;

procedure filecopyA(InFile,OutFile: PChar); stdcall;
procedure uuencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
procedure uudecodeA(InFile: PChar; Unix: Boolean); stdcall;
procedure xxencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
procedure xxdecodeA(InFile: PChar; Unix: Boolean); stdcall;
procedure base64encodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean); stdcall;
procedure base64decodeA(InFile: PChar; Unix: Boolean); stdcall;

implementation

procedure filecopy(Const InFile,OutFile: ShortString);
          external 'UUCODE32' index 1;
procedure uuencode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 2;
procedure uudecode(Const InFile: ShortString; Unix: Boolean);
          external 'UUCODE32' index 3;
procedure xxencode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 4;
procedure xxdecode(Const InFile: ShortString; Unix: Boolean);
          external 'UUCODE32' index 5;
procedure base64encode(Const InFile,OutFile: ShortString; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 6;
procedure base64decode(Const InFile: ShortString; Unix: Boolean);
          external 'UUCODE32' index 7;

procedure filecopyA(InFile,OutFile: PChar);
          external 'UUCODE32' index 11;
procedure uuencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 12;
procedure uudecodeA(InFile: PChar; Unix: Boolean);
          external 'UUCODE32' index 13;
procedure xxencodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 14;
procedure xxdecodeA(InFile: PChar; Unix: Boolean);
          external 'UUCODE32' index 15;
procedure base64encodeA(InFile,OutFile: PChar; Mode: Word; Unix: Boolean);
          external 'UUCODE32' index 16;
procedure base64decodeA(InFile: PChar; Unix: Boolean);
          external 'UUCODE32' index 17;
end.